package com.myGame.gamelogic;

import java.util.Random;

public class Mode {
	
	private static final Random RAND = new Random();
	private static final int ALL = 1000;
		
	public static ModeType translate(PrizeType prize, ModeType mode) {
		ModeType transMode = mode;
		int rnd = RAND.nextInt(ALL);
		switch(mode) {
			case LOW_A:
				transMode = changeModeForLowA(prize, rnd);
				break;
			case LOW_B:
				transMode = changeModeForLowB(prize, rnd);
				break;
			case LOW_C:
				transMode = changeModeForLowC(prize, rnd);
				break;
			case MIDDLE_A:
				transMode = changeModeForMiddleA(prize, rnd);
				break;
			case MIDDLE_B:
				transMode = changeModeForMiddleB(prize, rnd);
				break;
			case MIDDLE_C:
				transMode = changeModeForMiddleC(prize, rnd);
				break;
			case HIGH_A:
				transMode = changeModeForHighA(prize, rnd);
				break;
			case HIGH_B:
				transMode = changeModeForHighB(prize, rnd);
				break;
			case HIGH_C:
				transMode = changeModeForHighC(prize, rnd);
				break;	
			case EXTRA:
				transMode = changeModeForExtra(prize, rnd);
				break;
		}
		return transMode;
	}
	
	public static ModeType changeModeForLowA(PrizeType prize, int rnd) {
		ModeType mode = Player.getMode();
		switch(prize) {
			case HAZURE:
				break;
			case REPLAY:
				break;
			case BELL:
				break;
			case CHERRY_A:
				break;
			case CHERRY_B:
				break;
			case CHERRY_C:
				break;
			case CHANCE_A:
				break;
			case CHANCE_B:
				break;
			case SUIKA_A:
				break;
			case SUIKA_B:
				break;
			case BB1:
				break;
			case BB2:
				break;		
			case RB1:
				break;
			case RB2:
				break;
			case PBB:
				break;
		}
		return mode;
	}
	
	public static ModeType changeModeForLowB(PrizeType prize, int rnd) {
		ModeType mode = Player.getMode();;
		switch(prize) {
			case HAZURE:
				break;
			case REPLAY:
				break;
			case BELL:
				break;
			case CHERRY_A:
				break;
			case CHERRY_B:
				break;
			case CHERRY_C:
				break;
			case CHANCE_A:
				break;
			case CHANCE_B:
				break;
			case SUIKA_A:
				break;
			case SUIKA_B:
				break;
			case BB1:
				break;
			case BB2:
				break;		
			case RB1:
				break;
			case RB2:
				break;
			case PBB:
				break;
		}
		return mode;
	}
	
	public static ModeType changeModeForLowC(PrizeType prize, int rnd) {
		ModeType mode = Player.getMode();
		switch(prize) {
			case HAZURE:
				break;
			case REPLAY:
				break;
			case BELL:
				break;
			case CHERRY_A:
				break;
			case CHERRY_B:
				break;
			case CHERRY_C:
				break;
			case CHANCE_A:
				break;
			case CHANCE_B:
				break;
			case SUIKA_A:
				break;
			case SUIKA_B:
				break;
			case BB1:
				break;
			case BB2:
				break;		
			case RB1:
				break;
			case RB2:
				break;
			case PBB:
				break;
		}
		return mode;
	}
	
	public static ModeType changeModeForMiddleA(PrizeType prize, int rnd) {
		ModeType mode = Player.getMode();
		switch(prize) {
			case HAZURE:
				break;
			case REPLAY:
				break;
			case BELL:
				break;
			case CHERRY_A:
				break;
			case CHERRY_B:
				break;
			case CHERRY_C:
				break;
			case CHANCE_A:
				break;
			case CHANCE_B:
				break;
			case SUIKA_A:
				break;
			case SUIKA_B:
				break;
			case BB1:
				break;
			case BB2:
				break;		
			case RB1:
				break;
			case RB2:
				break;
			case PBB:
				break;
		}
		return mode;
	}
	
	public static ModeType changeModeForMiddleB(PrizeType prize, int rnd) {
		ModeType mode = Player.getMode();
		switch(prize) {
			case HAZURE:
				break;
			case REPLAY:
				break;
			case BELL:
				break;
			case CHERRY_A:
				break;
			case CHERRY_B:
				break;
			case CHERRY_C:
				break;
			case CHANCE_A:
				break;
			case CHANCE_B:
				break;
			case SUIKA_A:
				break;
			case SUIKA_B:
				break;
			case BB1:
				break;
			case BB2:
				break;		
			case RB1:
				break;
			case RB2:
				break;
			case PBB:
				break;
		}
		return mode;
	}
	
	
	public static ModeType changeModeForMiddleC(PrizeType prize, int rnd) {
		ModeType mode = Player.getMode();
		switch(prize) {
			case HAZURE:
				break;
			case REPLAY:
				break;
			case BELL:
				break;
			case CHERRY_A:
				break;
			case CHERRY_B:
				break;
			case CHERRY_C:
				break;
			case CHANCE_A:
				break;
			case CHANCE_B:
				break;
			case SUIKA_A:
				break;
			case SUIKA_B:
				break;
			case BB1:
				break;
			case BB2:
				break;		
			case RB1:
				break;
			case RB2:
				break;
			case PBB:
				break;
		}
		return mode;
	}
	
	public static ModeType changeModeForHighA(PrizeType prize, int rnd) {
		ModeType mode = Player.getMode();
		switch(prize) {
			case HAZURE:
				break;
			case REPLAY:
				break;
			case BELL:
				break;
			case CHERRY_A:
				break;
			case CHERRY_B:
				break;
			case CHERRY_C:
				break;
			case CHANCE_A:
				break;
			case CHANCE_B:
				break;
			case SUIKA_A:
				break;
			case SUIKA_B:
				break;
			case BB1:
				break;
			case BB2:
				break;		
			case RB1:
				break;
			case RB2:
				break;
			case PBB:
				break;
		}
		return mode;
	}
	
	public static ModeType changeModeForHighB(PrizeType prize, int rnd) {
		ModeType mode = Player.getMode();
		switch(prize) {
			case HAZURE:
				break;
			case REPLAY:
				break;
			case BELL:
				break;
			case CHERRY_A:
				break;
			case CHERRY_B:
				break;
			case CHERRY_C:
				break;
			case CHANCE_A:
				break;
			case CHANCE_B:
				break;
			case SUIKA_A:
				break;
			case SUIKA_B:
				break;
			case BB1:
				break;
			case BB2:
				break;		
			case RB1:
				break;
			case RB2:
				break;
			case PBB:
				break;
		}
		return mode;
	}
	
	public static ModeType changeModeForHighC(PrizeType prize, int rnd) {
		ModeType mode = Player.getMode();
		switch(prize) {
			case HAZURE:
				break;
			case REPLAY:
				break;
			case BELL:
				break;
			case CHERRY_A:
				break;
			case CHERRY_B:
				break;
			case CHERRY_C:
				break;
			case CHANCE_A:
				break;
			case CHANCE_B:
				break;
			case SUIKA_A:
				break;
			case SUIKA_B:
				break;
			case BB1:
				break;
			case BB2:
				break;		
			case RB1:
				break;
			case RB2:
				break;
			case PBB:
				break;
		}
		return mode;
	}
	
	public static ModeType changeModeForExtra(PrizeType prize, int rnd) {
		ModeType mode = Player.getMode();
		switch(prize) {
			case HAZURE:
				break;
			case REPLAY:
				break;
			case BELL:
				break;
			case CHERRY_A:
				break;
			case CHERRY_B:
				break;
			case CHERRY_C:
				break;
			case CHANCE_A:
				break;
			case CHANCE_B:
				break;
			case SUIKA_A:
				break;
			case SUIKA_B:
				break;
			case BB1:
				break;
			case BB2:
				break;		
			case RB1:
				break;
			case RB2:
				break;
			case PBB:
				break;
		}
		return mode;
	}
}
