package com.myGame.gamelogic;

public class Player {
	
	private static int myMedals;	
	private static int win;
	private static int games;
	private static int totalGames;
	private static PrizeType prize = PrizeType.HAZURE;
	private static ModeType  mode  = ModeType.MIDDLE_B;
	private static boolean isBB   = false;
	
	public static void start() {
		if(prize != PrizeType.REPLAY) {
			medalin();
		}
		games      = games + 1;
		totalGames = totalGames + 1;
		if (!isBB) {
			prize      = Prize.lotPrize();
			mode       = Mode.translate(prize, mode);
		} else {
			
		}
		win        = getMedals(prize);
		myMedals  += win;
	}
	
	private static void medalin() {
		myMedals--;
	}
	
	private static int getMedals(PrizeType prize) {
		if(prize==PrizeType.BELL) {
			return 15;
		} else if(prize==PrizeType.CHERRY_A || prize==PrizeType.CHERRY_B || prize==PrizeType.CHERRY_C) {
			return 2;
		} else if(prize==PrizeType.SUIKA_A || prize==PrizeType.SUIKA_B ) {
			return 5;
		} else if(prize==PrizeType.CHANCE_A || prize==PrizeType.CHANCE_B) {
			return 1;
		} else {
			return 0;
		}
	}
	
	public static ModeType getMode() {
		return mode;
	}
	
}
