package com.myGame.gamelogic;

import java.util.Random;

public class Prize {
	
	private static PrizeType    prize;
	private static final int    ALL = PrizeType.getAll();
	private static final Random RAND = new Random();
	
	public static PrizeType lotPrize() {
		int rnd = RAND.nextInt(ALL);
		int replay = PrizeType.REPLAY.getRandom();
		int bell   = replay + PrizeType.BELL.getRandom();
		int cheA   = bell   + PrizeType.CHERRY_A.getRandom();
		int cheB   = cheA   + PrizeType.CHERRY_B.getRandom();
		int cheC   = cheB   + PrizeType.CHERRY_C.getRandom();
		int sikA   = cheC   + PrizeType.SUIKA_A.getRandom();
		int sikB   = sikA   + PrizeType.SUIKA_B.getRandom();
		int chaA   = sikB   + PrizeType.CHANCE_A.getRandom();
		int chaB   = chaA   + PrizeType.CHANCE_B.getRandom();
		int pbb    = chaB   + PrizeType.PBB.getRandom();
		int bb1    = pbb    + PrizeType.BB1.getRandom();
		int bb2    = bb1    + PrizeType.BB2.getRandom();
		int rb1    = bb2    + PrizeType.RB1.getRandom();
		int rb2    = rb1    + PrizeType.RB2.getRandom();
		
		if (rnd<replay) {
			prize = PrizeType.REPLAY;
		} else if(replay<=rnd && rnd< bell) {
			prize = PrizeType.BELL;
		} else if(bell<=rnd && rnd<cheA) {
			prize = PrizeType.CHERRY_A;
		} else if(cheA<=rnd && rnd<cheB) {
			prize = PrizeType.CHERRY_B;
		} else if(cheB<=rnd && rnd<cheC) {
			prize = PrizeType.CHERRY_C;
		} else if(cheC<=rnd && rnd<sikA) {
			prize = PrizeType.SUIKA_A;
		} else if(sikA<=rnd && rnd<sikB) {
			prize = PrizeType.SUIKA_B;
		} else if(sikB<=rnd && rnd<chaA) {
			prize = PrizeType.CHANCE_A;
		} else if(chaA<=rnd && rnd<chaB) {
			prize = PrizeType.CHANCE_B;
		} else if(chaB<=rnd && rnd<pbb) {
			prize = PrizeType.PBB;
		} else if(pbb<=rnd && rnd<bb1) {
			prize = PrizeType.BB1;
		} else if(bb1<=rnd && rnd<bb2) {
			prize = PrizeType.BB2;
		} else if(bb2<=rnd && rnd<rb1){
			prize = PrizeType.RB1;
		} else if(rb1<=rnd && rnd<rb2) {
			prize = PrizeType.RB2;
		} else {
			prize = PrizeType.HAZURE;
		}
		return prize;
	}
}



